PropertyBatchUpdateException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans

## Class PropertyBatchUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.PropertyBatchUpdateException

- All Implemented Interfaces:
    Serializable

      public class PropertyBatchUpdateException
      extends BeansException

  Combined exception, composed of individual PropertyAccessException instances. An object of this class is created at the beginning of the binding process, and errors added to it as necessary.

  The binding process continues when it encounters application-level PropertyAccessExceptions, applying those changes that can be applied and storing rejected changes in an object of this class.

  Since:
    18 April 2001
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)` Create a new PropertyBatchUpdateException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(Class exType)` Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.
    `int` | `getExceptionCount()` If this returns 0, no errors were encountered during binding.
    `String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.
    `PropertyAccessException` | `getPropertyAccessException(String propertyName)` Return the exception for this field, or `null` if there isn't any.
    `PropertyAccessException[]` | `getPropertyAccessExceptions()` Return an array of the propertyAccessExceptions stored in this object.
    `void` | `printStackTrace(PrintStream ps)`
    `void` | `printStackTrace(PrintWriter pw)`
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBatchUpdateException

          public PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)

      Create a new PropertyBatchUpdateException.
      Parameters:
        `propertyAccessExceptions` - the List of PropertyAccessExceptions

  - ### Method Detail

    - #### getExceptionCount

          public final int getExceptionCount()

      If this returns 0, no errors were encountered during binding.

    - #### getPropertyAccessExceptions

          public final PropertyAccessException[] getPropertyAccessExceptions()

      Return an array of the propertyAccessExceptions stored in this object.

      Will return the empty array (not `null`) if there were no errors.

    - #### getPropertyAccessException

          public PropertyAccessException getPropertyAccessException(String propertyName)

      Return the exception for this field, or `null` if there isn't any.

    - #### getMessage

          public String getMessage()

      Description copied from class: `NestedRuntimeException`
      Return the detail message, including the message from the nested exception if there is one.
      Overrides:
        `getMessage` in class `NestedRuntimeException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintStream ps)

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintWriter pw)

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### contains

          public boolean contains(Class exType)

      Description copied from class: `NestedRuntimeException`
      Check whether this exception contains an exception of the given type: either it is of the given class itself or it contains a nested cause of the given type.
      Overrides:
        `contains` in class `NestedRuntimeException`
      Parameters:
        `exType` - the exception type to look for
      Returns:
        whether there is a nested exception of the specified type